#modo: sudo docker-compose --compatibility up -d
version: "3.5"
services:
    aprenda-ddd:
      image: icsgo/ma-back:v3.1.1
      container_name: aprenda-ddd
      restart: always
      ports:
        - '8020:8020'
      volumes:
        - /var/log/apache2:/var/log/apache2
        - ./:/var/www/html
        - ./devops/docker/php-apache/conf/ports.conf:/etc/apache2/ports.conf
        - ./devops/docker/php-apache/conf/apache2.conf:/etc/apache2/apache2.conf
        - ./devops/docker/php-apache/conf/htpasswd:/etc/apache2/htpasswd
        - ./devops/docker/php-apache/conf/000-default.conf:/etc/apache2/sites-available/000-default.conf
        - ./devops/docker/php-apache/php/php.ini:/etc/php/7.4/fpm/php.ini
      networks:
        ics:
          ipv4_address: 172.28.0.3
      command: service php7.4-fpm start
      deploy:
        resources:
          limits:
            cpus: '4'
            memory: 1G
networks:
  ics:
    name: ics
    driver: bridge
    ipam:
      config:
        - subnet: 172.28.0.0/24
